Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.pki
Class ExtendedKeyStoreSpi

    java.lang.Object
      java.security.KeyStoreSpi
          cryptix.pki.ExtendedKeyStoreSpi

public abstract class ExtendedKeyStoreSpi
extends java.security.KeyStoreSpi

DOCUMENT ME

Version:
  $Revision: 1.3 $
Author:
  Edwin Woudt

Constructor Summary
`ExtendedKeyStoreSpi()`

Method Summary
`abstract KeyBundle` | `engineGetKeyBundle(java.lang.String alias)` Returns the keybundle identified by the given alias.
`abstract boolean` | `engineIsKeyBundleEntry(java.lang.String alias)` Returns if the entry identified by alias is a keybundle entry.
`abstract java.lang.String` | `engineSetKeyBundleEntry(KeyBundle bundle)` Stores the given keybundle in this store.

Methods inherited from class java.security.KeyStoreSpi
`engineAliases, engineContainsAlias, engineDeleteEntry, engineGetCertificate, engineGetCertificateAlias, engineGetCertificateChain, engineGetCreationDate, engineGetKey, engineIsCertificateEntry, engineIsKeyEntry, engineLoad, engineSetCertificateEntry, engineSetKeyEntry, engineSetKeyEntry, engineSize, engineStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedKeyStoreSpi

    public ExtendedKeyStoreSpi()

Method Detail

### engineGetKeyBundle

    public abstract KeyBundle engineGetKeyBundle(java.lang.String alias)
                                          throws java.security.KeyStoreException

  Returns the keybundle identified by the given alias.

  Parameters:
    `alias` - the alias for the entry to return
  Returns:
    the keybundle entry identified by alias or null if the given alias does not identify a keybundle entry
  Throws:
    `java.security.KeyStoreException` - if the keystore has not been initialized (loaded) yet

### engineIsKeyBundleEntry

    public abstract boolean engineIsKeyBundleEntry(java.lang.String alias)
                                            throws java.security.KeyStoreException

  Returns if the entry identified by alias is a keybundle entry.

  Parameters:
    `alias` - the alias for the entry to check
  Returns:
    true if the entry identified by alias is a keybundle entry, false otherwise
  Throws:
    `java.security.KeyStoreException` - if the keystore has not been initialized (loaded) yet

### engineSetKeyBundleEntry

    public abstract java.lang.String engineSetKeyBundleEntry(KeyBundle bundle)
                                                      throws java.security.KeyStoreException

  Stores the given keybundle in this store.

  Parameters:
    `bundle` - the bundle to store
  Returns:
    the alias under which the bundle is stored
  Throws:
    `java.security.KeyStoreException` - if the keystore has not been initialized (loaded) yet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.